Kwalitee Issues

No Core Issues.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: IPC::Run, IPC::Run::Debug, IPC::Run::IO, IPC::Run::Timer, IPC::Run::Win32Helper, IPC::Run::Win32IO, IPC::Run::Win32Pump

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
IPC::Run system() and background procs w/ piping, redirs, ptys (Unix, Win32) 0.94_02 metacpan
IPC::Run::Debug debugging routines for IPC::Run 0.94_02 metacpan
IPC::Run::IO I/O channels for IPC::Run. 0.94_02 metacpan
IPC::Run::Timer Timer channels for IPC::Run. 0.94_02 metacpan
IPC::Run::Win32Helper helper routines for IPC::Run on Win32 platforms. 0.94_02 metacpan
IPC::Run::Win32IO helper routines for IPC::Run on Win32 platforms. 0.94_02 metacpan
IPC::Run::Win32Pump helper processes to shovel data to/from parent, child 0.94_02 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan